For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
BlogLogin
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETList
      • POSTCreate
      • GETDetail
      • DELDelete
LogoLogo
BlogLogin
API Referencedocuments

Detail

GET
https://api.flockx.io/api/v1/documents/:id
GET
/api/v1/documents/:id
$curl https://api.flockx.io/api/v1/documents/id \
> -H "Authorization: <apiKey>"
1{
2 "id": "foo",
3 "created": "foo",
4 "modified": "foo",
5 "status": "foo",
6 "name": "",
7 "external_id": "foo",
8 "data": {}
9}
Get a knowledge document by ID. Requires read access to both the document and its knowledge graph.
Was this page helpful?
Previous

Delete

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Path parameters

idstringRequired

Response

Successful Response
idstringformat: "uuid"
createdstringformat: "date-time"
modifiedstringformat: "date-time"
statusstring or nullRead-only

Human-readable status label

namestringDefaults to
external_idstring or null
datamap from strings to any or null

Errors

422
Unprocessable Entity Error